al_load_sample(3)

NAME

al_load_sample - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_SAMPLE *al_load_sample(const char *filename)

DESCRIPTION

Loads a few different audio file formats based on their extension.

Note that this stores the entire file in memory at once, which may be time consuming. To read the file as it is needed, use al_load_audio_stream(3).

Returns the sample on success, NULL on failure.

    Note: the allegro_audio library does not support any audio file formats by default. You must use the allegro_acodec addon, or register your own format handler.

SEE ALSO

al_register_sample_loader(3), al_init_acodec_addon(3)